EnrichmentDialog Class Reference

`#include <EnrichmentDialog.h>`

Inheritance diagram for EnrichmentDialog:

## Public Types

enum | WidgetType { Frame, Text, Image, Tex, MDIWindow, Ellipse }

## Public Member Functions

void | accept ()
| EnrichmentDialog (WidgetType wt, Graph *g, ApplicationWindow *app, QWidget *parent=0)
void | setWidget (QWidget *w)
| ~EnrichmentDialog ()

## Private Slots

void | adjustHeight (double width)
void | adjustWidth (double height)
void | apply ()
void | chooseImageFile (const QString &fn=QString::null)
void | clearForm ()
void | createImage ()
void | customButtons (QWidget *w)
void | customFont ()
void | displayCompileError (QProcess::ProcessError error)
void | displayCoordinates (int unit)
void | fetchImage ()
void | finishedCompiling (int, QProcess::ExitStatus)
void | frameApplyTo ()
void | patternApplyTo ()
void | saveImagesInternally (bool save)
void | setBestSize ()
void | setFrameDefaultValues ()
void | setRectangleDefaultValues ()
void | setTextDefaultValues ()
void | textFormatApplyTo ()
void | updateButtons ()
void | updateCompilerInterface (int)
void | updateForm (bool error)
void | updateTransparency (int alpha)

## Private Member Functions

QString | createTempTexFile ()
void | initEditorPage ()
void | initFramePage ()
void | initGeometryPage ()
void | initImagePage ()
void | initPatternPage ()
void | initTextPage ()
void | setCoordinates (int unit)
void | setFrameTo (FrameWidget *fw)
void | setPatternTo (FrameWidget *r)
void | setText (QTextEdit *editor, const QString &t)
void | setTextFormatTo (LegendWidget *l)

## Private Attributes

double | aspect_ratio
QComboBox * | attachToBox
QCheckBox * | autoUpdateTextBox
ColorButton * | backgroundColorBtn
QPushButton * | bestSizeButton
QSpinBox * | boxBackgroundTransparency
PenStyleBox * | boxFrameLineStyle
DoubleSpinBox * | boxFrameWidth
QCheckBox * | boxSaveImagesInternally
QSpinBox * | boxTextAngle
QSpinBox * | boxTransparency
QPushButton * | cancelButton
QPushButton * | clearButton
QProcess * | compileProcess
ApplicationWindow * | d_app
Graph * | d_plot
QWidget * | d_widget
WidgetType | d_widget_type
QProcess * | dvipngProcess
QWidget * | editPage
QTextEdit * | equationEditor
QSlider * | fillTransparencySlider
TextFormatButtons * | formatButtons
QComboBox * | frameApplyToBox
QComboBox * | frameBox
ColorButton * | frameColorBtn
QPushButton * | frameDefaultBtn
QWidget * | framePage
QWidget * | geometryPage
DoubleSpinBox * | heightBox
QHttp * | http
QWidget * | imagePage
QLineEdit * | imagePathBox
QCheckBox * | keepAspectBox
QLabel * | outputLabel
QComboBox * | patternApplyToBox
PatternBox * | patternBox
ColorButton * | patternColorBtn
QWidget * | patternPage
QPushButton * | rectangleDefaultBtn
QTabWidget * | tabWidget
QComboBox * | texCompilerBox
TextFormatButtons * | texFormatButtons
QCheckBox * | texOutputBox
QComboBox * | textApplyToBox
QPushButton * | textApplyToBtn
ColorButton * | textBackgroundBtn
ColorButton * | textColorBtn
QPushButton * | textDefaultBtn
QTextEdit * | textEditBox
QFont | textFont
QPushButton * | textFontBtn
QWidget * | textPage
QSlider * | transparencySlider
QComboBox * | unitBox
QPushButton * | updateButton
QCheckBox * | useFrameColorBox
DoubleSpinBox * | widthBox
DoubleSpinBox * | xBox
DoubleSpinBox * | yBox

## Member Enumeration Documentation

enum EnrichmentDialog::WidgetType

Enumerator
Frame |
Text |
Image |
Tex |
MDIWindow |
Ellipse |

## Constructor & Destructor Documentation

EnrichmentDialog::EnrichmentDialog | ( | WidgetType | wt,
|  | Graph * | g,
|  | ApplicationWindow * | app,
|  | QWidget * | parent = `0`
| ) |  |

References apply(), cancelButton, clearButton, clearForm(), customButtons(), editPage, Ellipse, Frame, Image, imagePage, initEditorPage(), initFramePage(), initGeometryPage(), initImagePage(), initPatternPage(), initTextPage(), MDIWindow, patternPage, tabWidget, Tex, Text, textPage, and updateButton.

EnrichmentDialog::~EnrichmentDialog | ( |  | ) |

References d_plot, d_widget, TexWidget::formula(), TexWidget::pixmap(), Graph::remove(), and Graph::setActiveTool().

## Member Function Documentation

void EnrichmentDialog::accept | ( |  | ) |

inline

References apply().

Referenced by PlotDialog::acceptParams().

void EnrichmentDialog::adjustHeight | ( | double | width | ) |

private slot

References aspect_ratio, heightBox, keepAspectBox, DoubleSpinBox::setValue(), and DoubleSpinBox::value().

Referenced by initGeometryPage().

void EnrichmentDialog::adjustWidth | ( | double | height | ) |

private slot

References aspect_ratio, keepAspectBox, DoubleSpinBox::setValue(), DoubleSpinBox::value(), and widthBox.

Referenced by initGeometryPage().

void EnrichmentDialog::apply | ( |  | ) |

private slot

References attachToBox, chooseImageFile(), d_app, ApplicationWindow::d_keep_aspect_ration, d_widget, editPage, fetchImage(), frameApplyTo(), framePage, geometryPage, imagePage, imagePathBox, keepAspectBox, patternApplyTo(), patternPage, FrameWidget::setAttachPolicy(), setCoordinates(), ApplicationWindow::setFormatBarFont(), LegendWidget::setText(), tabWidget, textEditBox, textFont, textFormatApplyTo(), textPage, and unitBox.

Referenced by accept(), and EnrichmentDialog().

void EnrichmentDialog::chooseImageFile | ( | const QString & | fn = `QString::null` | ) |

private slot

References d_app, d_widget, ImageWidget::fileName(), ApplicationWindow::getFileName(), ApplicationWindow::imageFilter(), imagePathBox, ApplicationWindow::imagesDirPath, ImageWidget::load(), and ApplicationWindow::modifiedProject().

Referenced by apply(), initImagePage(), and saveImagesInternally().

void EnrichmentDialog::clearForm | ( |  | ) |

private slot

References equationEditor, and outputLabel.

Referenced by EnrichmentDialog().

void EnrichmentDialog::createImage | ( |  | ) |

private slot

References clearButton, d_plot, d_widget, dvipngProcess, equationEditor, Graph::multiLayer(), MdiSubWindow::notifyChanges(), outputLabel, TexWidget::setFormula(), TexWidget::setPixmap(), and updateButton.

Referenced by finishedCompiling().

QString EnrichmentDialog::createTempTexFile | ( |  | ) |

private

References equationEditor.

Referenced by fetchImage().

void EnrichmentDialog::customButtons | ( | QWidget * | w | ) |

private slot

References clearButton, d_widget_type, editPage, framePage, Tex, and updateButton.

Referenced by EnrichmentDialog().

void EnrichmentDialog::customFont | ( |  | ) |

private slot

References textEditBox, and textFont.

Referenced by initTextPage().

void EnrichmentDialog::displayCompileError | ( | QProcess::ProcessError | error | ) |

private slot

References clearButton, compileProcess, dvipngProcess, equationEditor, and updateButton.

Referenced by fetchImage(), and finishedCompiling().

void EnrichmentDialog::displayCoordinates | ( | int | unit | ) |

private slot

References aspect_ratio, d_widget, heightBox, FrameWidget::heightIn(), FrameWidget::Pixel, FrameWidget::Point, DoubleSpinBox::setFormat(), DoubleSpinBox::setSingleStep(), DoubleSpinBox::setValue(), DoubleSpinBox::value(), widthBox, FrameWidget::widthIn(), xBox, FrameWidget::xIn(), yBox, and FrameWidget::yIn().

Referenced by initGeometryPage(), setBestSize(), and setWidget().

void EnrichmentDialog::fetchImage | ( |  | ) |

private slot

References clearButton, compileProcess, createTempTexFile(), d_app, ApplicationWindow::d_latex_compiler_path, d_widget, displayCompileError(), equationEditor, finishedCompiling(), TexWidget::formula(), http, TexWidget::pixmap(), texCompilerBox, and updateButton.

Referenced by apply().

void EnrichmentDialog::finishedCompiling | ( | int | exitCode,
|  | QProcess::ExitStatus | exitStatus
| ) |  |

private slot

References compileProcess, createImage(), d_app, ApplicationWindow::d_latex_compiler_path, displayCompileError(), and dvipngProcess.

Referenced by fetchImage().

void EnrichmentDialog::frameApplyTo | ( |  | ) |

private slot

References d_app, d_plot, d_widget, Graph::enrichmentsList(), frameApplyToBox, MultiLayer::layersList(), ApplicationWindow::modifiedProject(), Graph::multiLayer(), setFrameTo(), and ApplicationWindow::windowsList().

Referenced by apply(), and initFramePage().

void EnrichmentDialog::initEditorPage | ( |  | ) |

private

References compileProcess, d_app, ApplicationWindow::d_latex_compiler, dvipngProcess, editPage, TextFormatButtons::Equation, equationEditor, http, outputLabel, tabWidget, texCompilerBox, texFormatButtons, updateCompilerInterface(), and updateForm().

Referenced by EnrichmentDialog().

void EnrichmentDialog::initFramePage | ( |  | ) |

private

References boxFrameLineStyle, boxFrameWidth, d_app, d_widget_type, Ellipse, frameApplyTo(), frameApplyToBox, frameBox, frameColorBtn, frameDefaultBtn, framePage, DoubleSpinBox::setDecimals(), setFrameDefaultValues(), DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), and tabWidget.

Referenced by EnrichmentDialog().

void EnrichmentDialog::initGeometryPage | ( |  | ) |

private

References adjustHeight(), adjustWidth(), attachToBox, bestSizeButton, d_app, ApplicationWindow::d_keep_aspect_ration, d_widget_type, displayCoordinates(), geometryPage, heightBox, keepAspectBox, MDIWindow, setBestSize(), DoubleSpinBox::setDecimals(), tabWidget, Text, unitBox, widthBox, xBox, and yBox.

Referenced by EnrichmentDialog().

void EnrichmentDialog::initImagePage | ( |  | ) |

private

References boxSaveImagesInternally, chooseImageFile(), imagePage, imagePathBox, saveImagesInternally(), and tabWidget.

Referenced by EnrichmentDialog().

void EnrichmentDialog::initPatternPage | ( |  | ) |

private

References backgroundColorBtn, boxTransparency, fillTransparencySlider, patternApplyTo(), patternApplyToBox, patternBox, patternColorBtn, patternPage, rectangleDefaultBtn, setRectangleDefaultValues(), tabWidget, and useFrameColorBox.

Referenced by EnrichmentDialog().

void EnrichmentDialog::initTextPage | ( |  | ) |

private

References autoUpdateTextBox, boxBackgroundTransparency, boxTextAngle, customFont(), formatButtons, TextFormatButtons::Legend, setTextDefaultValues(), tabWidget, texOutputBox, textApplyToBox, textApplyToBtn, textBackgroundBtn, textColorBtn, textDefaultBtn, textEditBox, textFontBtn, textFormatApplyTo(), textPage, transparencySlider, updateButtons(), and updateTransparency().

Referenced by EnrichmentDialog().

void EnrichmentDialog::patternApplyTo | ( |  | ) |

private slot

References d_app, d_plot, d_widget, Graph::enrichmentsList(), MultiLayer::layersList(), ApplicationWindow::modifiedProject(), Graph::multiLayer(), patternApplyToBox, setPatternTo(), and ApplicationWindow::windowsList().

Referenced by apply(), and initPatternPage().

void EnrichmentDialog::saveImagesInternally | ( | bool | save | ) |

private slot

References boxSaveImagesInternally, chooseImageFile(), d_app, d_plot, d_widget, imagePathBox, Graph::multiLayer(), MdiSubWindow::notifyChanges(), and ImageWidget::setSaveInternally().

Referenced by initImagePage().

void EnrichmentDialog::setBestSize | ( |  | ) |

private slot

References d_plot, d_widget, displayCoordinates(), Graph::multiLayer(), MdiSubWindow::notifyChanges(), ImageWidget::pixmap(), TexWidget::setBestSize(), FrameWidget::setSize(), and unitBox.

Referenced by initGeometryPage().

void EnrichmentDialog::setCoordinates | ( | int | unit | ) |

private

References d_app, ApplicationWindow::d_frame_geometry_unit, d_plot, d_widget, heightBox, Graph::multiLayer(), MdiSubWindow::notifyChanges(), FrameWidget::Scale, FrameWidget::setCoordinates(), FrameWidget::setRect(), DoubleSpinBox::value(), widthBox, xBox, and yBox.

Referenced by apply().

void EnrichmentDialog::setFrameDefaultValues | ( |  | ) |

private slot

References boxFrameLineStyle, boxFrameWidth, ColorButton::color(), d_app, ApplicationWindow::d_frame_widget_pen, frameBox, frameColorBtn, ApplicationWindow::legendFrameStyle, ApplicationWindow::saveSettings(), PenStyleBox::style(), and DoubleSpinBox::value().

Referenced by initFramePage().

void EnrichmentDialog::setFrameTo | ( | FrameWidget * | fw | ) |

private

References boxFrameLineStyle, boxFrameWidth, ColorButton::color(), frameBox, frameColorBtn, FrameWidget::setFramePen(), FrameWidget::setFrameStyle(), PenStyleBox::style(), and DoubleSpinBox::value().

Referenced by frameApplyTo().

void EnrichmentDialog::setPatternTo | ( | FrameWidget * | r | ) |

private

References backgroundColorBtn, boxTransparency, ColorButton::color(), frameColorBtn, PatternBox::getSelectedPattern(), patternBox, patternColorBtn, FrameWidget::setBackgroundColor(), FrameWidget::setBrush(), and useFrameColorBox.

Referenced by patternApplyTo().

void EnrichmentDialog::setRectangleDefaultValues | ( |  | ) |

private slot

References backgroundColorBtn, boxTransparency, ColorButton::color(), d_app, ApplicationWindow::d_rect_default_background, ApplicationWindow::d_rect_default_brush, frameColorBtn, PatternBox::getSelectedPattern(), patternBox, patternColorBtn, ApplicationWindow::saveSettings(), and useFrameColorBox.

Referenced by initPatternPage().

void EnrichmentDialog::setText | ( | QTextEdit * | editor,
|  | const QString & | t
| ) |  |

private

Referenced by setWidget().

void EnrichmentDialog::setTextDefaultValues | ( |  | ) |

private slot

References boxBackgroundTransparency, boxTextAngle, ColorButton::color(), d_app, ApplicationWindow::d_legend_default_angle, ApplicationWindow::legendBackground, ApplicationWindow::legendTextColor, ApplicationWindow::plotLegendFont, ApplicationWindow::saveSettings(), textBackgroundBtn, textColorBtn, and textFont.

Referenced by initTextPage().

void EnrichmentDialog::setTextFormatTo | ( | LegendWidget * | l | ) |

private

References autoUpdateTextBox, boxBackgroundTransparency, boxTextAngle, ColorButton::color(), LegendWidget::setAngle(), LegendWidget::setAutoUpdate(), FrameWidget::setBackgroundColor(), LegendWidget::setFont(), LegendWidget::setTeXOutput(), LegendWidget::setTextColor(), texOutputBox, textBackgroundBtn, textColorBtn, and textFont.

Referenced by textFormatApplyTo().

void EnrichmentDialog::setWidget | ( | QWidget * | w | ) |

References LegendWidget::angle(), FrameWidget::attachPolicy(), attachToBox, autoUpdateTextBox, FrameWidget::backgroundColor(), backgroundColorBtn, bestSizeButton, boxBackgroundTransparency, boxFrameLineStyle, boxFrameWidth, boxSaveImagesInternally, boxTextAngle, boxTransparency, FrameWidget::brush(), d_app, ApplicationWindow::d_frame_geometry_unit, d_plot, d_widget, d_widget_type, Graph::deselectMarker(), displayCoordinates(), Ellipse, equationEditor, ImageWidget::fileName(), fillTransparencySlider, LegendWidget::font(), TexWidget::formula(), Frame, frameBox, FrameWidget::frameColor(), frameColorBtn, FrameWidget::framePen(), FrameWidget::frameStyle(), LegendWidget::hasTeXOutput(), Image, imagePathBox, LegendWidget::isAutoUpdateEnabled(), outputLabel, patternBox, patternColorBtn, FrameWidget::Pixel, TexWidget::pixmap(), ImageWidget::saveInternally(), ColorButton::setColor(), PatternBox::setPattern(), PenStyleBox::setStyle(), setText(), DoubleSpinBox::setValue(), Tex, texOutputBox, LegendWidget::text(), Text, textBackgroundBtn, LegendWidget::textColor(), textColorBtn, textEditBox, textFont, transparencySlider, unitBox, and updateButtons().

Referenced by ApplicationWindow::resizeActiveWindow(), ApplicationWindow::resizeWindow(), ApplicationWindow::showEnrichementDialog(), and PlotDialog::updateTabWindow().

void EnrichmentDialog::textFormatApplyTo | ( |  | ) |

private slot

References d_app, d_plot, d_widget, Graph::enrichmentsList(), MultiLayer::layersList(), ApplicationWindow::modifiedProject(), Graph::multiLayer(), setTextFormatTo(), textApplyToBox, and ApplicationWindow::windowsList().

Referenced by apply(), initTextPage(), and updateTransparency().

void EnrichmentDialog::updateButtons | ( |  | ) |

private slot

References formatButtons, TextFormatButtons::Legend, TextFormatButtons::setButtons(), TextFormatButtons::TexLegend, and texOutputBox.

Referenced by initTextPage(), and setWidget().

void EnrichmentDialog::updateCompilerInterface | ( | int | compiler | ) |

private slot

References d_app, and ApplicationWindow::d_latex_compiler.

Referenced by initEditorPage().

void EnrichmentDialog::updateForm | ( | bool | error | ) |

private slot

References clearButton, d_plot, d_widget, equationEditor, http, Graph::multiLayer(), MdiSubWindow::notifyChanges(), outputLabel, TexWidget::setFormula(), TexWidget::setPixmap(), and updateButton.

Referenced by initEditorPage().

void EnrichmentDialog::updateTransparency | ( | int | alpha | ) |

private slot

References textBackgroundBtn, and textFormatApplyTo().

Referenced by initTextPage().

## Member Data Documentation

double EnrichmentDialog::aspect_ratio

private

Referenced by adjustHeight(), adjustWidth(), and displayCoordinates().

QComboBox* EnrichmentDialog::attachToBox

private

Referenced by apply(), initGeometryPage(), and setWidget().

QCheckBox* EnrichmentDialog::autoUpdateTextBox

private

Referenced by initTextPage(), setTextFormatTo(), and setWidget().

ColorButton * EnrichmentDialog::backgroundColorBtn

private

Referenced by initPatternPage(), setPatternTo(), setRectangleDefaultValues(), and setWidget().

QPushButton* EnrichmentDialog::bestSizeButton

private

Referenced by initGeometryPage(), and setWidget().

QSpinBox* EnrichmentDialog::boxBackgroundTransparency

private

Referenced by initTextPage(), setTextDefaultValues(), setTextFormatTo(), and setWidget().

PenStyleBox* EnrichmentDialog::boxFrameLineStyle

private

Referenced by initFramePage(), setFrameDefaultValues(), setFrameTo(), and setWidget().

DoubleSpinBox * EnrichmentDialog::boxFrameWidth

private

Referenced by initFramePage(), setFrameDefaultValues(), setFrameTo(), and setWidget().

QCheckBox* EnrichmentDialog::boxSaveImagesInternally

private

Referenced by initImagePage(), saveImagesInternally(), and setWidget().

QSpinBox * EnrichmentDialog::boxTextAngle

private

Referenced by initTextPage(), setTextDefaultValues(), setTextFormatTo(), and setWidget().

QSpinBox* EnrichmentDialog::boxTransparency

private

Referenced by initPatternPage(), setPatternTo(), setRectangleDefaultValues(), and setWidget().

QPushButton* EnrichmentDialog::cancelButton

private

Referenced by EnrichmentDialog().

QPushButton* EnrichmentDialog::clearButton

private

Referenced by createImage(), customButtons(), displayCompileError(), EnrichmentDialog(), fetchImage(), and updateForm().

QProcess* EnrichmentDialog::compileProcess

private

Referenced by displayCompileError(), fetchImage(), finishedCompiling(), and initEditorPage().

ApplicationWindow* EnrichmentDialog::d_app

private

Referenced by apply(), chooseImageFile(), fetchImage(), finishedCompiling(), frameApplyTo(), initEditorPage(), initFramePage(), initGeometryPage(), patternApplyTo(), saveImagesInternally(), setCoordinates(), setFrameDefaultValues(), setRectangleDefaultValues(), setTextDefaultValues(), setWidget(), textFormatApplyTo(), and updateCompilerInterface().

Graph* EnrichmentDialog::d_plot

private

Referenced by createImage(), frameApplyTo(), patternApplyTo(), saveImagesInternally(), setBestSize(), setCoordinates(), setWidget(), textFormatApplyTo(), updateForm(), and ~EnrichmentDialog().

QWidget* EnrichmentDialog::d_widget

private

Referenced by apply(), chooseImageFile(), createImage(), displayCoordinates(), fetchImage(), frameApplyTo(), patternApplyTo(), saveImagesInternally(), setBestSize(), setCoordinates(), setWidget(), textFormatApplyTo(), updateForm(), and ~EnrichmentDialog().

WidgetType EnrichmentDialog::d_widget_type

private

Referenced by customButtons(), initFramePage(), initGeometryPage(), and setWidget().

QProcess * EnrichmentDialog::dvipngProcess

private

Referenced by createImage(), displayCompileError(), finishedCompiling(), and initEditorPage().

QWidget* EnrichmentDialog::editPage

private

Referenced by apply(), customButtons(), EnrichmentDialog(), and initEditorPage().

QTextEdit* EnrichmentDialog::equationEditor

private

Referenced by clearForm(), createImage(), createTempTexFile(), displayCompileError(), fetchImage(), initEditorPage(), setWidget(), and updateForm().

QSlider * EnrichmentDialog::fillTransparencySlider

private

Referenced by initPatternPage(), and setWidget().

TextFormatButtons* EnrichmentDialog::formatButtons

private

Referenced by initTextPage(), and updateButtons().

QComboBox* EnrichmentDialog::frameApplyToBox

private

Referenced by frameApplyTo(), and initFramePage().

QComboBox* EnrichmentDialog::frameBox

private

Referenced by initFramePage(), setFrameDefaultValues(), setFrameTo(), and setWidget().

ColorButton* EnrichmentDialog::frameColorBtn

private

Referenced by initFramePage(), setFrameDefaultValues(), setFrameTo(), setPatternTo(), setRectangleDefaultValues(), and setWidget().

QPushButton * EnrichmentDialog::frameDefaultBtn

private

Referenced by initFramePage().

QWidget * EnrichmentDialog::framePage

private

Referenced by apply(), customButtons(), and initFramePage().

QWidget * EnrichmentDialog::geometryPage

private

Referenced by apply(), and initGeometryPage().

DoubleSpinBox * EnrichmentDialog::heightBox

private

Referenced by adjustHeight(), displayCoordinates(), initGeometryPage(), and setCoordinates().

QHttp* EnrichmentDialog::http

private

Referenced by fetchImage(), initEditorPage(), and updateForm().

QWidget * EnrichmentDialog::imagePage

private

Referenced by apply(), EnrichmentDialog(), and initImagePage().

QLineEdit* EnrichmentDialog::imagePathBox

private

Referenced by apply(), chooseImageFile(), initImagePage(), saveImagesInternally(), and setWidget().

QCheckBox* EnrichmentDialog::keepAspectBox

private

Referenced by adjustHeight(), adjustWidth(), apply(), and initGeometryPage().

QLabel* EnrichmentDialog::outputLabel

private

Referenced by clearForm(), createImage(), initEditorPage(), setWidget(), and updateForm().

QComboBox * EnrichmentDialog::patternApplyToBox

private

Referenced by initPatternPage(), and patternApplyTo().

PatternBox* EnrichmentDialog::patternBox

private

Referenced by initPatternPage(), setPatternTo(), setRectangleDefaultValues(), and setWidget().

ColorButton * EnrichmentDialog::patternColorBtn

private

Referenced by initPatternPage(), setPatternTo(), setRectangleDefaultValues(), and setWidget().

QWidget * EnrichmentDialog::patternPage

private

Referenced by apply(), EnrichmentDialog(), and initPatternPage().

QPushButton * EnrichmentDialog::rectangleDefaultBtn

private

Referenced by initPatternPage().

QTabWidget* EnrichmentDialog::tabWidget

private

Referenced by apply(), EnrichmentDialog(), initEditorPage(), initFramePage(), initGeometryPage(), initImagePage(), initPatternPage(), and initTextPage().

QComboBox* EnrichmentDialog::texCompilerBox

private

Referenced by fetchImage(), and initEditorPage().

TextFormatButtons * EnrichmentDialog::texFormatButtons

private

Referenced by initEditorPage().

QCheckBox * EnrichmentDialog::texOutputBox

private

Referenced by initTextPage(), setTextFormatTo(), setWidget(), and updateButtons().

QComboBox * EnrichmentDialog::textApplyToBox

private

Referenced by initTextPage(), and textFormatApplyTo().

QPushButton* EnrichmentDialog::textApplyToBtn

private

Referenced by initTextPage().

ColorButton * EnrichmentDialog::textBackgroundBtn

private

Referenced by initTextPage(), setTextDefaultValues(), setTextFormatTo(), setWidget(), and updateTransparency().

ColorButton* EnrichmentDialog::textColorBtn

private

Referenced by initTextPage(), setTextDefaultValues(), setTextFormatTo(), and setWidget().

QPushButton* EnrichmentDialog::textDefaultBtn

private

Referenced by initTextPage().

QTextEdit * EnrichmentDialog::textEditBox

private

Referenced by apply(), customFont(), initTextPage(), and setWidget().

QFont EnrichmentDialog::textFont

private

Referenced by apply(), customFont(), setTextDefaultValues(), setTextFormatTo(), and setWidget().

QPushButton* EnrichmentDialog::textFontBtn

private

Referenced by initTextPage().

QWidget * EnrichmentDialog::textPage

private

Referenced by apply(), EnrichmentDialog(), and initTextPage().

QSlider* EnrichmentDialog::transparencySlider

private

Referenced by initTextPage(), and setWidget().

QComboBox* EnrichmentDialog::unitBox

private

Referenced by apply(), initGeometryPage(), setBestSize(), and setWidget().

QPushButton* EnrichmentDialog::updateButton

private

Referenced by createImage(), customButtons(), displayCompileError(), EnrichmentDialog(), fetchImage(), and updateForm().

QCheckBox * EnrichmentDialog::useFrameColorBox

private

Referenced by initPatternPage(), setPatternTo(), and setRectangleDefaultValues().

DoubleSpinBox * EnrichmentDialog::widthBox

private

Referenced by adjustWidth(), displayCoordinates(), initGeometryPage(), and setCoordinates().

DoubleSpinBox* EnrichmentDialog::xBox

private

Referenced by displayCoordinates(), initGeometryPage(), and setCoordinates().

DoubleSpinBox * EnrichmentDialog::yBox

private

Referenced by displayCoordinates(), initGeometryPage(), and setCoordinates().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/dialogs/EnrichmentDialog.h
- qtiplot/src/plot2D/dialogs/EnrichmentDialog.cpp